Alembic Version 1.1

Public Types | Public Member Functions | List of all members
Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArraySampleKeyEqualTo Struct Reference

`#include <ArraySampleKey.h>`

## Public Types
typedef ArraySampleKey | first_argument_type
typedef ArraySampleKey | second_argument_type
typedef bool | result_type

## Public Member Functions
bool | operator() (ArraySampleKey const &a, ArraySampleKey const &b) const

## Detailed Description

Definition at line 86 of file ArraySampleKey.h.

## Member Typedef Documentation

## ◆ first_argument_type

typedef ArraySampleKey Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArraySampleKeyEqualTo::first_argument_type

Definition at line 88 of file ArraySampleKey.h.

## ◆ result_type

typedef bool Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArraySampleKeyEqualTo::result_type

Definition at line 90 of file ArraySampleKey.h.

## ◆ second_argument_type

typedef ArraySampleKey Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArraySampleKeyEqualTo::second_argument_type

Definition at line 89 of file ArraySampleKey.h.

## Member Function Documentation

## ◆ operator()()

bool Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArraySampleKeyEqualTo::operator() | ( | ArraySampleKey const & | a,
|  | ArraySampleKey const & | b
| ) |  | const
| inline

Definition at line 92 of file ArraySampleKey.h.

The documentation for this struct was generated from the following file:

- opt/local/include/Alembic/AbcCoreAbstract/ArraySampleKey.h